import type { IEventBus } from "../../../utils/EventBus";
import type { ILedgerConnectModalData } from './ledger-connect.types';
export declare class LedgerConnectModal {
    hostElement: HTMLElement;
    data: ILedgerConnectModalData;
    private selectedIndex;
    private ledgerConnectBase;
    componentWillLoad(): void;
    getEventBus(): Promise<IEventBus>;
    render(): any;
    private getModalProps;
    private accessWallet;
    private selectAccount;
    nextPage(): Promise<void>;
    prevPage(): Promise<void>;
    close(props?: {
        isUserClick: boolean;
    }): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
}
